#
# spec file for package seccheck (Version 2.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         seccheck
Copyright:    GNU GPL
Group:        Utilities/Security
Provides:     suse-security-check 
Requires:     cron bash
Autoreqprov:  on
BuildArchitectures: noarch
Version:      2.0
Release:      40
Summary:      Security-check scripts
Source:		%{name}-%{version}.tar.gz
Source1:	rc.config.seccheck
Source2:	cron_entries
Patch:		%{name}-%{version}.diff
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Regularly executable scripts (via cron) to check the security of your
System.

SuSE series: sec

%prep
%setup
%patch -p1

%install
install -d -o root -g root -m 700 $RPM_BUILD_ROOT/var/lib/secchk
install -d -o root -g root -m 700 $RPM_BUILD_ROOT/var/lib/secchk/data
install -d -o root -g root -m 750 $RPM_BUILD_ROOT/usr/lib/secchk
install -d -o root -g root -m 755 $RPM_BUILD_ROOT/usr/doc/packages/secchk
install -d -o root -g root -m 755 $RPM_BUILD_ROOT/etc/cron.d
install -o root -g root -m 600 crontab.security $RPM_BUILD_ROOT/etc/cron.d/seccheck
install -o root -g root -m 740 *.sh $RPM_BUILD_ROOT/usr/lib/secchk/
install -o root -g root -m 740 checkneverlogin $RPM_BUILD_ROOT/usr/lib/secchk/
install -o root -g root -d $RPM_BUILD_ROOT/var/adm/fillup-templates
install -o root -g root -m 644 $RPM_SOURCE_DIR/rc.config.seccheck $RPM_BUILD_ROOT/var/adm/fillup-templates/
#install -d -o root -g root -m 755 $RPM_BUILD_ROOT/etc/cron.daily
#install -d -o root -g root -m 755 $RPM_BUILD_ROOT/etc/cron.weekly
#install -d -o root -g root -m 755 $RPM_BUILD_ROOT/etc/cron.monthly
#for freq in daily weekly monthly; do
#	sed "s/FREQUENCY/$freq/" <$RPM_SOURCE_DIR/cron_entries >$RPM_BUILD_ROOT/etc/cron.$freq/seccheck
#	chown 0.0 $RPM_BUILD_ROOT/etc/cron.$freq/seccheck
#	chmod 700 $RPM_BUILD_ROOT/etc/cron.$freq/seccheck
#done	

%files
%doc TODO CHANGES README LICENCE
/usr/lib/secchk
%config /etc/cron.d/seccheck
#%config /etc/cron.daily/seccheck
#%config /etc/cron.weekly/seccheck
#%config /etc/cron.monthly/seccheck
%dir /var/lib/secchk
%dir /var/lib/secchk/data
/var/adm/fillup-templates/rc.config.seccheck

%post
echo "Updating etc/rc.config ..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.seccheck
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.seccheck and"
  echo "update by hand."
fi

%changelog -n seccheck
* Fri Jul 13 2001 - garloff@suse.de
- Added START_SECCHK variable to control whether the script will
  be run by cron. (see discussion @ bugzilla #5413).
  START_SECCHK defaults to "yes".
- Update to seccheck-2.0:
  * fixed an egrep bug - which was reported looooong time ago :-(
  * workarounds for Redhat ... they should update the mktempa and
  provide pidof ... duh ... (thanks to weutzing@exozet.com)
- Update to seccheck-1.9:
  * finally fixed the output of the weekly changes to prevent
  unnecessary lines
  * Added small fix to prevent "undisclosed receipent" msg in
  mailers
* Tue May 08 2001 - garloff@suse.de
- Update to seccheck-1.8:
  * rewrote the mail header message for the change reports
  * added LICENCE (GPLv2) - required by SuSE policy
- Update to seccheck-1.7:
  * fixed a check for /etc/shadow password field contents
* Tue Apr 24 2001 - garloff@suse.de
- Move it back to cron.d/seccheck. Otherwise users who use their
  machine only occasionally would see a significant performance
  hit.
* Wed Feb 21 2001 - garloff@suse.de
- Start seccheck via cron.daily,weekly,monthly instead of
  cron.d/seccheck. The latter does not work, if the computer is not
  running at the specified time. (Bugzilla #5413, Ivory@SerNet.de)
* Tue Jan 09 2001 - garloff@suse.de
- Add SECCHK_USER to /etc/rc.config (fillup-template), bug #5349
- Remove double sourcing of /etc/rc.config from security-control.sh
  script.
* Tue Dec 19 2000 - garloff@suse.de
- Oops: Used %%{_tmpdir} instead of %%{_tmppath} in BuildRoot:
* Tue Dec 19 2000 - garloff@suse.de
- seccheck-1.6:
  * Fix some DoS possibilities
  * Exlcude for NFS/cdrom was missing at one place in weekly
  * closed a hole against possibility of a backdoor trying
  to hide from lsof output
* Fri Sep 29 2000 - garloff@suse.de
- seccheck-1.4: lsof fix and other minor fixes.
* Tue Jul 25 2000 - garloff@suse.de
- egrep check for \\+ sign was missing the quoting \\ (#3461)
* Sun Jul 09 2000 - garloff@suse.de
- Report version number properly (was erroneously set to 1.2)
* Fri Jun 30 2000 - garloff@suse.de
- Update to version 1.3:
  * checkneverlogin
  * reiserfs support (suid/writable)
  * better output routines
  * some checks added
- Use BuildRoot.
* Wed Feb 16 2000 - garloff@suse.de
- Version 0.9. Use install in spec-file instead of crufty
  cp/mkdir, chown, chmod sequences.
* Tue Oct 19 1999 - bs@suse.de
- changed from /etc/cron.daily to /etc/cron.d with hardcoded starting times.
* Fri Oct 01 1999 - bs@suse.de
- new version 0.8
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Apr 13 1999 - bs@suse.de
- set version properly
* Tue Mar 30 1999 - ro@suse.de
- new package
